Bug 35820 - lilo can't parse append="mem=256M"
lilo can't parse append="mem=256M"
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-04-12 13:11 EDT by David Yerger
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-16 11:17:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Yerger 2001-04-12 13:11:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

lilo complains about the line
in lilo.conf.

removing the second '=' sign does not produce the error message,
but is incorrect.
Putting spaces around the first '=' sign doesn't help. 

Reproducible: Always
Steps to Reproduce:
1.Edit lilo.conf to include append="mem=256M"
3.Will fail, giving the line where the above occurs

Actual Results:  MBR got corrupted, now boots with just LI

Expected Results:  Should work like it did with SuSE :-)
At least shouldn't have fried MBR.

Ran up2date, got a little newer lilo, but still has this problem.
Comment 1 David Yerger 2001-04-13 15:07:39 EDT
Reinstalled woverine from CDs, problem disappeared.
Comment 2 David Yerger 2001-04-16 11:17:04 EDT
Thinking about "what changed", I think that this (mis)behavior may be 
manifesting itself when either

1.  There is <=16MB of RAM installed or
2.  There is more physical RAM than what either BIOS or kernel sees, and perhaps
the amount that either BIOS or the kernel sees is 16MB or less.

Could somebody check this?  That is, feed mem=16M as a boot parameter
to LILO as a system boots up, then see if it still can parse 
append="mem=<whatever>" correctly.  I currently don't have a system that I'm in 
a hurry to destroy. . .
Comment 3 Trond Eivind Glomsrxd 2001-04-17 17:41:31 EDT
FWIW, I can't see this happening at all with my 128 MB system (RHL 7.1), whether
I specify 16 or 128 MB of memory.

Note You need to log in before you can comment on or make changes to this bug.